import { Component, OnInit } from '@angular/core';
import { PetyWidgetModel } from '../summary-peti-widget/summary-peti-widget.component';

@Component({
  selector: 'byte-operative-dashboard',
  templateUrl: './operative-dashboard.component.html',
  styleUrls: ['./operative-dashboard.component.scss']
})
export class OperativeDashboardComponent implements OnInit {

  latestDate = new Date();

  panelOptions = {
    elevation: false,
    title: {
      primary: 'Primary1',
      secondary: 'Secondary'
    }
  }

  optionsInactivitySesion = {
    width: 300,
    height: 60,
    fill: "#C8FEFF",
    stroke: "#23c6c8",
    strokeWidth: 1
  };

  inactivitySession: any = {
    value: 30,
    history: [10, 10, 10, 10, 10, 10, 10],
    percent: 2,
    up: true
  };

  totalReceivedMessages: PetyWidgetModel = {
    value: 120000,
    history: [1, 5, 3, 8, 4, 10, 0],
    percent: 2,
    up: true
  };
  totalSentMessages: PetyWidgetModel = {
    value: 120000,
    history: [10, 8, 6, 5, 6, 8, 10],
    percent: 2,
    up: true
  };
  totalSesions: PetyWidgetModel = {
    value: 120000,
    history: [10, 8, 6, 5, 6, 8, 10],
    percent: 2,
    up: true
  };

  totalSesionsOptions = {
    width: 300,
    height: 60,
    fill: "#CFECFF",
    stroke: "#1c84c6",
    strokeWidth: 1
  };

  totalReceivedOptions = {
    width: 300,
    height: 60,
    fill: "#D2EEE9",
    stroke: "#1ab394",
    strokeWidth: 1
  };

  totalSentOptions = {
    width: 300,
    height: 60,
    fill: "#FFD9DD",
    stroke: "#ed5565",
    strokeWidth: 1
  };

  constructor() { }

  ngOnInit() {
  }

}
